slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSNEPSetRefine

Sets the tolerance and the number of iterations of Newton iterative refinement for eigenpairs.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetRefine(DS ds,PetscReal tol,PetscInt its)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| tol | - the tolerance
| its | - the number of iterations

### Options Database Key

| -ds_nep_refine_tol <tol> | - sets the tolerance
| -ds_nep_refine_its <its> | - sets the number of Newton iterations

### Notes

Iterative refinement of eigenpairs is currently used only in the contour integral method.

### See Also

DSNEPGetRefine()

### Level

advanced

### Location

src/sys/classes/ds/impls/nep/dsnep.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages